Skala
Locations

Replace a location

Completely replaces the data of an existing location with the provided payload.

PUT
/api/locations/{id}

Completely replaces the data of an existing location with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Location identifier

Request Body

application/json

The updated Location resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/locations/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": 0,
  "name": "string",
  "legalName": "string",
  "address": "/entity/1",
  "functions": [
    {
      "id": 0,
      "name": "string",
      "functions": "string"
    }
  ],
  "isActive": true,
  "isDefault": true,
  "storageBins": [
    {
      "id": 0,
      "name": "string"
    }
  ]
}
Empty
Empty
Empty